Subject: Re: [PATCH 2/6] hw_breakpoints: Migrate breakpoint conditional build under new config

From: "K.Prasad" <[email-masked]>
Date: Mon, 4 Jul 2011 23:14:16 +0530

On Mon, Jul 04, 2011 at 03:29:14PM +0200, Frederic Weisbecker wrote:
> On Mon, Jul 04, 2011 at 06:57:46PM +0530, K.Prasad wrote:
> > On Tue, May 24, 2011 at 11:52:23PM +0200, Frederic Weisbecker wrote:
> > > Migrate conditional hw_breakpoint code compilation under
> > > the new config to prepare for letting the user chose whether
> > > or not to build this feature
> > > 
> > 
> > Making the hardware breakpoint patches modular has always been a goal.
> > I've looked at the PowerPC parts of the code and they look harmless.
> > 
> > Acked-by: K.Prasad <[email-masked]>
> 
> Great!
> 
> I'll push that soon, thanks guys for your acks!

Meanwhile, I was testing hardware breakpoints through perf and found
that monitoring a given address fails when using 'perf record' (returns
-ENOSPC) while 'perf stat' and watchpoint through gdb works fine (see
logs below).

Has this behaviour been reported for other perf counters?

Thanks,
K.Prasad

# tools/perf/perf --version
perf version 3.0.0-rc5
# 
# grep pid_max /proc/kallsyms 
ffffffff81a25010 D pid_max
ffffffff81a25014 D pid_max_min
ffffffff81a25018 D pid_max_max
# 
# uname -a
Linux llm37.in.ibm.com 3.0.0-rc5 #1 SMP Mon Jul 4 22:24:02 IST 2011
x86_64 x86_64 x86_64 GNU/Linux
# 
# tools/perf/perf stat -e mem:0xffffffff81a25010:rw make kernel/futex.o
  CHK     include/linux/version.h
  CHK     include/generated/utsrelease.h
  CALL    scripts/checksyscalls.sh
make[1]: `kernel/futex.o' is up to date.

 Performance counter stats for 'make kernel/futex.o':

               188 mem:0xffffffff81a25010:rw                                   

      10.734957333 seconds time elapsed

# tools/perf/perf record -e
mem:0xffffffff81a25010:rw make kernel/futex.o

  Error: sys_perf_event_open() syscall returned with 28 (No space left
on device).  /bin/dmesg may provide additional information.

  Fatal: No CONFIG_PERF_EVENTS=y kernel support configured?